data "hetznerdns_zone" "chaoswest_tv" {
  name = "chaoswest.tv"
}

module "shepherd" {
  source = "../../modules/swarm/shepherd"
}

module "deckchores" {
  source = "../../modules/swarm/deckchores"
}

module "traefik" {
  source                = "../../modules/swarm/traefik"
  hetzner_dns_api_token = data.sops_file.secrets.data["hetzner_dns_api_token"]
}

module "grafana" {
  source  = "../../modules/swarm/grafana"
  secrets = yamldecode(data.sops_file.secrets.raw).swarm.grafana
}

module "jitsi" {
  source  = "../../modules/swarm/jitsi"
  secrets = yamldecode(data.sops_file.secrets.raw).swarm.jitsi
}

module "hedgedoc" {
  source  = "../../modules/swarm/hedgedoc"
  secrets = yamldecode(data.sops_file.secrets.raw).swarm.hedgedoc
}

module "shit" {
  source = "../../modules/swarm/shit"
}